<?php

namespace loyalsoft;

/**
 * 枚举: 角标提示类型枚举
 */
class OperateEventType {

    const _Empty = 0;                                                           // 空
    const Task = 1;
    const Task_plot = 2;                                                        // 任务 剧情任务
    const Task_Daily = 3;                                                       // 任务 每日任务
    const Call = 4;
    const Call_Warrior = 5;                                                     // 召唤 战士
    const Call_Magician = 6;                                                    // 召唤 法师
    const Call_Archer = 7;                                                      // 召唤 射手
    const Bag = 8;
    const Bag_Weapon = 9;                                                       // 背包 武器
    const Bag_Kotodama = 10;                                                     // 背包 言灵
    const Bag_Fragment = 11;                                                     // 背包 碎片
    const Bag_Material = 12;                                                     // 背包 材料
    const Ranking = 13;
    const Ranking_PowerReward = 14;                                             // 排行榜 战力榜奖励
    const Ranking_ClearanceReward = 15;                                         // 排行榜 通关榜奖励
    const Mail_New = 16;                                                        // 邮件 新邮件
    const Notice_New = 17;                                                      // 公告 新公告
    const Arena_FreeTimes = 18;                                                 // 竞技场 可进入

}

/**
 * Description of CornerSignEventProc
 *
 * @author Administrator
 */
class CornerSignEventProc {

    /**
     * 剧情任务状态有更新(新增/完成)
     */
    public static function OnTask_Plot_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Task_plot;
    }

    /**
     * 每日任务状态有变动(完成)
     */
    public static function OnTask_Daily_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Task_Daily;
    }

    /**
     * 言灵召唤状态,解锁新的战士
     */
    public static function OnCall_Warrior_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Call_Warrior;
    }

    /**
     * 言灵召唤状态,解锁新的法师 
     */
    public static function OnCall_Magician_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Call_Magician;
    }

    /**
     * 言灵召唤状态,解锁新的射手 
     */
    public static function OnCall_Archer_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Call_Archer;
    }

    /**
     * 包裹--获得新的武器 
     */
    public static function OnBag_new_Weapon() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Bag_Weapon;
    }

    /**
     * 包裹--获得新的言灵 
     */
    public static function OnBag_new_Yanling() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Bag_Kotodama;
    }

    /**
     * 包裹--获得新的碎片 
     */
    public static function OnBag_new_Fragment() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Bag_Fragment;
    }

    /**
     * 包裹--获得新的材料 
     */
    public static function OnBag_new_Material() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Bag_Material;
    }

    /**
     * 排行榜--战力奖励状态有变化 
     */
    public static function OnRanking_PowerReward_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Ranking_PowerReward;
    }

    /**
     * 排行榜--通关奖励状态有变化 
     */
    public static function OnRanking_GageReward_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Ranking_ClearanceReward;
    }

    /**
     * 邮件系统--有新的邮件 
     */
    public static function OnNewMails() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Mail_New;
        UserProc::updateUserInfo();
    }

    /**
     * 公告有更新 
     */
    public static function OnNotice_new() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Notice_New;
    }

    /**
     * AAA 
     */
    public static function OnAAA() {
        req()->userInfo->game->privateState->cornerSignNotifications[] = OperateEventType::Arena_FreeTimes;
    }

}
